# FoundationClasses
TKernel
TCollection

# TCollection_MapNode Class Reference

`#include <TCollection_MapNode.hxx>`

Inheritance diagram for TCollection_MapNode:

[legend]

## Public Member Functions

| TCollection_MapNode (const TCollection_MapNodePtr &n)
TCollection_MapNodePtr & | Next () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TCollection_MapNodePtr | myNext

## Constructor & Destructor Documentation

TCollection_MapNode::TCollection_MapNode | ( | const TCollection_MapNodePtr & | n | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const TCollection_MapNode::Handle | ( | Standard_Type |  | ) | const

Reimplemented from MMgt_TShared.

Reimplemented in Expr_IndexedMapNodeOfMapOfNamedUnknown, ExprIntrp_StackNodeOfStackOfGeneralExpression, ExprIntrp_StackNodeOfStackOfGeneralFunction, ExprIntrp_StackNodeOfStackOfGeneralRelation, ExprIntrp_StackNodeOfStackOfNames, GraphDS_DataMapNodeOfEntityRoleMap, GraphTools_ListNodeOfListOfSequenceOfInteger, GraphTools_ListNodeOfSCList, Message_ListNodeOfListOfMsg, Plugin_DataMapNodeOfMapOfFunctions, Resource_DataMapNodeOfDataMapOfAsciiStringAsciiString, Resource_DataMapNodeOfDataMapOfAsciiStringExtendedString, Storage_DataMapNodeOfMapOfCallBack, Storage_DataMapNodeOfMapOfPers, Storage_IndexedDataMapNodeOfPType, Storage_StdMapNodeOfMapOfAsciiString, TColgp_DataMapNodeOfDataMapOfIntegerCirc2d, TColStd_DataMapNodeOfDataMapOfIntegerInteger, TColStd_DataMapNodeOfDataMapOfIntegerListOfInteger, TColStd_DataMapNodeOfDataMapOfIntegerReal, TColStd_IndexedDataMapNodeOfIndexedDataMapOfTransientTransient, TColStd_IndexedMapNodeOfIndexedMapOfInteger, TColStd_IndexedMapNodeOfIndexedMapOfReal, TColStd_IndexedMapNodeOfIndexedMapOfTransient, TColStd_ListNodeOfListOfInteger, TColStd_ListNodeOfListOfReal, TColStd_ListNodeOfListOfTransient, TColStd_ListNodeOfSetListOfSetOfInteger, TColStd_ListNodeOfSetListOfSetOfReal, TColStd_ListNodeOfSetListOfSetOfTransient, TColStd_QueueNodeOfQueueOfInteger, TColStd_QueueNodeOfQueueOfReal, TColStd_QueueNodeOfQueueOfTransient, TColStd_StackNodeOfStackOfInteger, TColStd_StackNodeOfStackOfReal, TColStd_StackNodeOfStackOfTransient, TColStd_StdMapNodeOfMapOfInteger, TColStd_StdMapNodeOfMapOfReal, TColStd_StdMapNodeOfMapOfTransient, TopLoc_IndexedMapNodeOfIndexedMapOfLocation, and TopLoc_StdMapNodeOfMapOfLocation.

TCollection_MapNodePtr & TCollection_MapNode::Next | ( |  | ) | const`[inline]`

## Field Documentation

TCollection_MapNodePtr TCollection_MapNode::myNext `[private]`

The documentation for this class was generated from the following files:

- TCollection_MapNode.hxx
- TCollection_MapNode.lxx